### Name: BasicPlots
### Title: Basic Plot Functions and Utilities
### Aliases: BasicPlots tsPlot histPlot densityPlot circlesPlot perspPlot
###   characterTable plotcharacterTable colorTable splusLikePlot
### Keywords: hplot

### ** Examples

## tsPlot -
   xmpBasics("\nStart: European Stock Markets > ")
   # Show multiple plot:
   par(mfrow = c(1, 1), cex = 0.7)
   data(EuStockMarkets)
   tsPlot(EuStockMarkets, gpars = list(col = c(2:4, 6)), labels = FALSE)
   title(main = "European Stock Markets")
   
## histPlot -
   xmpBasics("\nNext: Histogram Plot of Normal Random Numbers > ")
   histPlot(x = rnorm(1000), main = "Histogram Plot")
   
## densityPlot -
   xmpBasics("\nNext: Density Plot of Normal Random Numbers > ")
   densityPlot(x = rnorm(1000), main = "Density Plot")
   
## circlesPlot -
   xmpBasics("\nNext: 3D Circles Plot of Normal Random Numbers > ")
   circlesPlot(x = rnorm(50), y = rnorm(50), size = abs(rnorm(50)),
     main = "Circles Plot")

## perspPlot -
   xmpBasics("\nNext: Perspective Plot > ")
   par(mfrow = c(1, 1), ps = 11)
   x = y = seq(-10, 10, length=51)
   f = function(x, y) { r = sqrt(x^2+y^2); 10 * sin(r)/r }
   z = outer(x, y, f)   
   perspPlot(x, y, z)
   title(main = "Perspective Plot", line = -3)
   
## characterTable - 
   xmpBasics("\nNext: Print the Copyright Sign > ")
   cat("\251 \n")

## characterTable - 
   xmpBasics("\nNext: Display Character Table for Symbol Font > ")
   characterTable(5)
   
## colorTable - 
   xmpBasics("\nNext: Display Table of Plot Colors > ")
   colorTable()
   
## plotcharacter Table - 
   xmpBasics("\nNext: Display Table of Plot Characters > ")
   plotcharacterTable()



